Subject: Organic alternative for spraying trees?

From: [email-masked] (Jeff Cook)
Date: 14 Mar 1995 21:57:22 GMT

Last summer, my peach and plum trees came down with a serious case of
galls on the leaves.  My local garden center recommended that I wait until
this spring, before the leaves came out, to spray my trees with Dursban
or Sevin.

Well, I went down there to pick some up today, but realized I absolutely
_hated_ the idea of using chemical pesticides on my property.  My garden
is completely organic, and I'm trying to reduce the chemicals I'm using
on my lawn.  I am willing to use Sevin if I have to, but I decided to
wait until I heard what ideas you rec.gardeners might come up with as an
alternative.  So, do you have any suggestions on how to deal with galls
on fruit trees, or am I going to have to wage chemical warfare?
--

Jeff Cook                                 [email-masked]